SystemOrganization addCategory: #'Seaside-Sport'!

Object subclass: #WASportPlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Sport'!

!WASportPlatform commentStamp: 'pmm 11/8/2007 19:56' prior: 0!
A WASportPlatform is a partial implementation of SeasidePlatform support. It uses the SPort portability layer and resonable defaults..!

!WASportPlatform class methodsFor: 'startup' stamp: 'pmm 9/29/2008 06:54'!
addToShutDownList: anObject
	SpEnvironment
		addImageStartupTask: [ anObject shutDown ]
		for: anObject! !

!WASportPlatform class methodsFor: 'startup' stamp: 'pmm 11/9/2007 17:54'!
addToStartUpList: anObject
	SpEnvironment
		addImageStartupTask: [ anObject startUp ]
		for: anObject! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/8/2007 19:28'!
asMethodReturningByteArray: aByteArrayOrString named: aSymbol
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'encoding' stamp: 'pmm 11/8/2007 19:53'!
base64Decode: aString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'accessing' stamp: 'pmm 9/29/2008 07:12'!
codecForEncoding: aStringOrNil
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/8/2007 19:27'!
compile: aString into: aClass classified: aSymbol
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/9/2007 17:57'!
contentsOfFile: aString binary: aBoolean
	| stream |
	stream := SpFileStream readingFromFileNamed: aString.
	aBoolean ifTrue: [ stream binary ].
	^[ stream contentsStream ]
		ensure: [ stream close ]! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/8/2007 19:32'!
convertToSmalltalkNewlines: aString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'dispatchers' stamp: 'pmm 11/8/2007 19:51'!
defaultDispatcherName
	^'seaside'! !

!WASportPlatform class methodsFor: 'email' stamp: 'pmm 11/8/2007 19:53'!
deliverMailFrom: fromAddress to: recipientList text: messageText
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'transactions' stamp: 'pmm 11/8/2007 19:58'!
doTransaction: aBlock
	^aBlock value! !

!WASportPlatform class methodsFor: 'vm' stamp: 'pmm 11/8/2007 19:59'!
ensureAuthorInitials: aBlock
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/9/2007 18:01'!
ensureExistenceOfFolder: aString
	| filename |
	filename := SpFilename named: aString.
	filename exists ifFalse: [
		| stream |
		stream := SpFileStream writingToFilename: filename.
		stream flush.
		stream close ]! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/21/2007 14:26'!
filesIn: aPathString
	| directory |
	self flag: #XXX. "not implemented in Squeak"
	directory := SpFilename named: aPathString.
	^(directory directoryContents
		reject: [ :each | each tail first = $. ])
		collect: [ :each | each asAbsoluteFilename asString "#asString is a SPort method" ]! !

!WASportPlatform class methodsFor: 'accessing' stamp: 'pmm 9/29/2008 07:12'!
haloClass
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'accessing' stamp: 'pmm 9/29/2008 07:13'!
haltExceptionClass
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/8/2007 19:41'!
localNameOf: aFilename
	^(SpFilename named: aFilename) tail! !

!WASportPlatform class methodsFor: 'exceptions' stamp: 'pmm 11/8/2007 19:50'!
openDebuggerOn: anError
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'accessing' stamp: 'pmm 9/29/2008 07:14'!
platformString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'factory' stamp: 'pmm 11/8/2007 19:54'!
randomClass
	^Random! !

!WASportPlatform class methodsFor: 'factory' stamp: 'pmm 9/29/2008 06:57'!
readWriteStream
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'factory' stamp: 'pmm 11/8/2007 19:55'!
reducedConflictDictionary
	^Dictionary! !

!WASportPlatform class methodsFor: 'startup' stamp: 'pmm 9/29/2008 07:00'!
removeFromShutDownList: anObject
	SpEnvironment removeShutdownActionFor: anObject! !

!WASportPlatform class methodsFor: 'startup' stamp: 'pmm 9/29/2008 07:00'!
removeFromStartUpList: anObject
	SpEnvironment removeStartupActionFor: anObject! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/8/2007 19:57'!
removeSelector: aSymbol from: aClass
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'requests' stamp: 'pmm 11/8/2007 19:57'!
request: aString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'requests' stamp: 'pmm 11/8/2007 19:57'!
request: aRequestString initialAnswer: anIntialAnserString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'cryptography' stamp: 'pmm 9/29/2008 07:12'!
secureHashFor: aString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'factory' stamp: 'pmm 11/8/2007 19:55'!
semaphoreClass
	^Semaphore! !

!WASportPlatform class methodsFor: 'exceptions' stamp: 'pmm 9/29/2008 07:14'!
stackDepth
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'accessing' stamp: 'pmm 11/8/2007 19:51'!
versionString
	self subclassResponsibility! !

!WASportPlatform class methodsFor: 'file-library' stamp: 'pmm 11/9/2007 18:00'!
write: aStringOrByteArray toFile: aFileNameString inFolder: aFolderString
	| filename stream |
	filename := (SpFilename named: aFolderString) construct: aFileNameString.
	stream := filename writeStream.
	[ stream nextPutAll: aStringOrByteArray ]
		ensure: [ stream close ]! !
